<?php /*a:1:{s:52:"J:\WWW\vote\application\admin\view\common\login.html";i:1561597760;}*/ ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?php echo htmlentities($info['site_name']); ?>系统管理后台</title>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <link rel="stylesheet" href="/static/css/font-awesome.css"/>
    <link rel="stylesheet" href="/static/css/iconfont.css"/>
    <link rel="stylesheet" href="/static/js/layui/css/layui.css"/>
    <link rel="stylesheet" href="/static/admin/css/bass.css?v=1"/>
    <link rel="stylesheet" href="/static/admin/css/layui-add.css"/>
    <link rel="stylesheet" href="/static/admin/css/login1.css">
</head>

<body>

<div class="login">
    <div class="login-body">
        <div class="login-tit">
            <p class="p1"><img src="<?php echo isset($info['site_logo']) ? htmlentities($info['site_logo']) : '/static/admin/images/logo.jpg'; ?>"><span><?php echo isset($info['site_name']) ? htmlentities($info['site_name']) : '九鲸网络科技'; ?></span></p>
            <p class="p2"></p>
            <p class="p3"></p>
        </div>
        <div class="login-main">
            <div class="login-main-admin login-main-list">
                <p class="p1"><i class="fa fa-user"></i></p>
                <p class="p2">
                    <input type="text" name="username" placeholder="请输入账号" class="admin-input login-main-list-input">
                </p>
            </div>
            <div class="login-main-password login-main-list">
                <p class="p1"><i class="fa fa-lock"></i></p>
                <p class="p2">
                    <input type="password" name="password" placeholder="请输入密码" class="password-input login-main-list-input">
                </p>
            </div>
            <div class="login-main-remember">
                <p class="p1 p1add"><i class="fa fa-check"></i></p>
                <p class="p2">记住密码</p>
            </div>
            <div class="login-main-btn">立即登录</div>
        </div>

        <!-- 技术支持 -->
        <p class="login-copyright">Copyright<span>@</span><a href="<?php echo isset($info['site_user_support']) ? htmlentities($info['site_user_support']) : '/admin'; ?>" target="_blank"><?php echo isset($info['site_support_name']) ? htmlentities($info['site_support_name']) : '九鲸网络科技'; ?></a><span>版权所有</span></p>
    </div>
    <!-- 动画效果 -->
    <div class="login-wave">
        <div class="top">
            <div class="wave-top wave wave1"></div>
        </div>
        <div class="middle">
            <div class="wave-middle wave wave2"></div>
        </div>
        <div class="bottom">
            <div class="wave-bottom wave wave3"></div>
        </div>
    </div>
</div>
<script src="/static/js/jquery_v3.3.1.js"></script>
<script src="/static/js/layer/layer.js"></script>
<script src="/static/js/layui/layui.js"></script>
<script src="/static/js/jquery.cookie.js"></script>
<script src="/static/js/common.js"></script>


<script type="text/javascript">
    localStorage.removeItem("pop_log");
    $.cookie("pop_info",'', { expires: -1 });
    var cookis = $.cookie('loginval');
    if(cookis === undefined){
        $("input[name='username']").val();
        $("input[name='password']").val();
        $('.login-main-remember .p1').removeClass('p1add')
    }else{
        var val = JSON.parse(cookis);
        $("input[name='username']").val(val.name);
        $("input[name='password']").val(val.password);
        $('.login-main-remember .p1').addClass('p1add')
    }
    //点击记住密码按钮
    $(document).on('click','.login-main-remember',function(){
        var dat = $(this).children('.p1');
        if( dat.hasClass('p1add') ){
            dat.removeClass('p1add')
        }else{
            dat.addClass('p1add')
        }
    });
    //立即登陆按钮
    $(document).on('click', '.login-main-btn', function() {
        var str=location.href; //取得整个地址栏
        var num=str.indexOf("?");
        str = str.substr(num+1);
        var userName = $('.admin-input').val();
        var loginPwd = $('.password-input').val();
        if (userName.length == 0 ) {
            layer.msg('用户名不能为空');
            return false;
        }
        if (loginPwd.length == 0) {
            layer.msg('密码不能为空');
            return false;
        }
        if($(this).html() == '登录中...'){
            return false;
        }
        $(this).html('登录中...');
        setTimeout(function(){
            //ajax数据请求执行的函数
            postReq(userName,loginPwd,str);
        },100);
    });
    // 回车
    $('.password-input').keydown(function (event) {
        if (event.keyCode == 13) {
            $('.login-main-btn').trigger('click');
        }
    });
    //点击登陆按钮时，提交数据
    function postReq( userName , loginPwd , parameter){
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: '/admin/common/login',
            async: false,
            data: {username: userName,password: loginPwd,browser:isChrome(),parameter:parameter},//传参数,
            success:function(res){
                if (res.code > 0) {
                    if($('.login-main-remember .p1').hasClass('p1add')){
                        $.cookie('loginval',JSON.stringify({name:userName,password:loginPwd}));
                    }else{
                        $.removeCookie('loginval');
                    }
                    layer.msg(res.msg, {time: 1800}, function () {
                        location.href = "<?php echo url('admin/index/index'); ?>";
                    });
                } else {
                    $('.login-main-btn').html('立即登录');
                    layer.msg(res.msg, {time: 1800});
                }
            }
        });
    }

</script>

</body>

</html>