<?php /*a:1:{s:50:"J:\WWW\vote\application\admin\view\index\main.html";i:1559787977;}*/ ?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>钻石投票_站点设置</title>
    <link rel="stylesheet" href="/static/css/font-awesome.css"/>
    <link rel="stylesheet" href="/static/js/layui/css/layui.css"/>
    <link rel="stylesheet" href="/static/admin/css/bass.css?v=1"/>
    <link rel="stylesheet" href="/static/admin/css/layui-add.css">
    <link rel="stylesheet" href="/static/admin/css/admin.css?ver=fff" />

</head>

<body>
<div class="admin">
    <!-- 第一部分 -->
    <div class="admin-a">
        <div class="dre dre1">
            <div class="main">
                <p class="tit">今日收入</p>
                <p class="allnum">¥ <?php echo htmlentities($ord_data_one['ord_day']); ?></p>
                <div class="listnum">
                    <p class="p1">昨日<span>¥ <?php echo htmlentities($ord_data_one['ord_yesterday']); ?></span></p>
                    <p class="p2">增长率<?php echo htmlspecialchars_decode($ord_data_one['increase']); ?></p>
                </div>
                <div class="foot">总收入<span>¥ <?php echo htmlentities($ord_data_one['ord_count']); ?></span></div>
            </div>
        </div>
        <div class="dre dre2">
            <div class="main">
                <p class="tit">进行中活动</p>
                <p class="allnum"><?php echo htmlentities($act_data_one['act_ing']); ?></p>
                <div class="listnum">
                    <p class="p1">今日开始<span><?php echo htmlentities($act_data_one['act_start']); ?></span></p>
                    <p class="p2">今日结束<span><?php echo htmlentities($act_data_one['act_end']); ?></span></p>
                </div>
                <div class="foot">总活动<span><?php echo htmlentities($act_data_one['act_count']); ?></span></div>
            </div>
        </div>
        <div class="dre dre3">
            <div class="main">
                <p class="tit">今日浏览量</p>
                <p class="allnum"><?php echo htmlentities($visitor_data_one['visitor_day']); ?></p>
                <div id="admin-a-dre3"></div>
                <div class="foot">总浏览量<span><?php echo htmlentities($visitor_data_one['visitor_sum']); ?></span></div>
            </div>

        </div>
        <div class="dre dre4">
            <div class="main">
                <p class="tit">今日礼物支付订单数</p>
                <p class="allnum"><?php echo htmlentities($ord_data_one['ord_order']); ?></p>
                <div id="admin-a-dre4"></div>
                <div class="foot">总支付订单量<span><?php echo htmlentities($ord_data_one['zong_order']); ?></span></div>
            </div>
        </div>
    </div>

    <!-- 第二部分 -->
    <div class="admin-b">
        <div class="admin-b-title">
            <div class="admin-b-nac">
                <p class="admin-b-gift">礼物收入</p>
                <p class="admin-b-see">浏览量</p>
                <div class="admin-b-active"></div>
            </div>
            <div class="admin-b-time">
                <div class="admin-b-day">
                    <span data-type="1">今日</span>
                    <span data-type="2">本周</span>
                    <span data-type="3" class="admin-b-day-active">本月</span>
                </div>
                <div class="admin-b-data">
                    <input type="text" class="layui-input" id="admin-b-dat-choose" placeholder="请选择时间段">
                </div>
            </div>
        </div>
        <div class="admin-b-chart">
            <div class="admin-b-container">
                <div class="admin-b-gift-count">
                    <div class="admin-b-count-left">
                        <p>礼物收入趋势</p>
                        <div id="admin-b-count-left-chart">

                        </div>
                    </div>
                    <div class="admin-b-count-right">
                        <p>活动礼物收入排名</p>
                        <div class="admin-b-count-list admin-b-order">
                            <ul>

                            </ul>
                            <div class="admin-b-count-btn sort-one" data-page="1" data-type="1">查看更多</div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="admin-b-container">
                <div class="admin-b-gift-count">
                    <div class="admin-b-count-left">
                        <p>浏览量</p>
                        <div id="admin-b-see-left-chart">

                        </div>
                    </div>
                    <div class="admin-b-count-right">
                        <p>活动浏览量排名</p>
                        <div class="admin-b-count-list admin-b-visting">
                            <ul>

                            </ul>
                            <div class="admin-b-count-btn sort-two" data-page="1" data-type="2">查看更多</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- 第三部分 -->
    <div class="admin-c">
        <div class="admin-c-left">
            <div class="amdim-c-left-con">
                <p class="amdim-c-left-msg">本月活动数据</p>
                <div id="admin-c-left-chaet"></div>
            </div>
        </div>
        <div class="admin-c-right">
            <div class="amdim-c-right-con">
                <div class="amdim-c-right-tit">
                    <p class="amdim-c-left-msg">礼物购买数占比</p>
                    <div class="amdim-c-right-tit-time">
                        <span class="amdim-c-active">本月</span>
                        <span>上月</span>
                        <!--<span>今年</span>-->
                    </div>
                    <div class="amdim-c-time">
                        <input type="text" class="layui-input" id="admin-c-time-choose" placeholder="请选择时间段">
                    </div>
                </div>
                <div id="admin-c-right-chaet" style="height: 300px;"></div>
            </div>
        </div>
    </div>

    <!-- 第四部分 -->
    <div class="admin-d">
        <!-- 选择日期时间 -->
        <div class="admin-d-time">
            <div class="right"><input type="text" class="layui-input" id="admin-d-dat-choose" placeholder="请选择时间段" value=""></div>
            <div class="left">
                <p class="add-p">近30日</p>
                <p>近60日</p>
                <p>近90日</p>
            </div>
        </div>
        <!-- 双折线：浏览量投票量 -->
        <div class="admin-d-main">
            <!-- 标题 -->
            <div class="admin-d-tit">投票量/浏览量趋势</div>
            <div id="admin-d-chart"></div>
            <?php if($admin_level == 1): ?>
            <div class="admin-d-clear">清除数据</div>
            <?php endif; ?>
        </div>

    </div>


</div>

<script src="/static/js/jquery_v3.3.1.js"></script>
<script src="/static/js/layer/layer.js"></script>
<script src="/static/js/layui/layui.js"></script>
<script src="/static/admin/js/index.js"></script>
<script src="/static/admin/js/data-set.min.js"></script>
<script src="/static/admin/js/g2.min.js"></script>
<script src="/static/admin/js/admin.js?ver=20190606"></script>
<script>
    // 点击清除数据按钮显现删除弹窗
    $(document).on("click",".admin-d-clear",function(){
        layer.open({
            title: ['清除数据', 'font-size:14px;text-align:center;color:#424f65;'],
            type:2,
            skin: 'layui-layer-new',
            area: ['610px','495px'],
            move: false,
            closeBtn:2,
            shade: 0.6,
            shadeClose:false,
            btn: ['删除','取消'],
            content:"/admin/index/cleardata",
            scrollbar: false,
            yes:function(index, layero){
                var data = window["layui-layer-iframe" + index].callbackdata();
                var time1 = data.time1;
                var time2 = data.time2;
                var type = data.type;
                if(time1 == '' && time2 == '' && type == undefined){
                    layer.msg('请设置删除日期');
                    return false;
                }
                if(type != 1){
                    if(time1 == '' || time2 == ''){
                        layer.msg('请设置删除日期');
                        return false;
                    }
                    time1 = new Date(data.time1);
                    time2 = new Date(data.time2);
                    time1 = Date.parse(time1);
                    time2 = Date.parse(time2);
                    if(time1 >= time2){
                        layer.msg('开始时间不能小于结束时间');
                        return false;
                    }
                    type = 0;
                }
                layer.close(index);

                var url = '/admin/index/clearAction';
                var form=$("<form>");//定义一个form表单
                form.attr("style","display:none");
                form.attr("target","");
                form.attr("method","get");//请求类型
                form.attr("action",url);//请求地址
                $("body").append(form);//将表单放置在web中

                var input1=$("<input>");
                input1.attr("type","hidden");
                input1.attr("name","time1");
                input1.attr("value",time1);
                form.append(input1);

                var input2=$("<input>");
                input2.attr("type","hidden");
                input2.attr("name","time2");
                input2.attr("value",time2);
                form.append(input2);

                var input3=$("<input>");
                input3.attr("type","hidden");
                input3.attr("name","type");
                input3.attr("value",type);
                form.append(input3);

                form.submit();//表单提交

            }
        });
    });
</script>

</body>

</html>