<?php /*a:1:{s:57:"J:\WWW\vote\application\admin\view\activity\addmusic.html";i:1560582624;}*/ ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>钻石投票_搜索音乐</title>
    <link rel="stylesheet" href="/static/css/font-awesome.css"/>
    <link rel="stylesheet" href="/static/js/layui/css/layui.css"/>
    <link rel="stylesheet" href="/static/admin/css/bass.css?v=1"/>
    <link rel="stylesheet" href="/static/admin/css/layui-formadd.css"/>
    <link rel="stylesheet" href="/static/admin/css/layui-pageadd.css"/>
    <link rel="stylesheet" href="/static/admin/css/public.css?v=1"/>
    <link rel="stylesheet" href="/static/admin/css/layui-add.css"/>
    <style type="text/css">
        html,body{background: #fff;}
        .add-music {
            width: 600px;
            background: #fff;
            margin: 0 auto;
            padding: 20px;
        }
        /*搜索框*/
        .add-music-tit{
            width: 400px;
            height: 32px;
            margin: 0 auto 20px;
            padding: 0px 10px;
            border:1px solid #e7e7eb;
            border-radius: 3px;
            line-height: 30px;
        }
        .add-music-tit input{
            width: 340px;
            height: 30px;
            text-align: left;
            color: #424f65;
        }
        .add-music-tit span{
            display: inline-block;
            width: 30px;
            height: 30px;
            text-align: center;
            line-height: 30px;
            color: #738299;
            cursor: pointer;
        }
        .add-music-tit span:hover{opacity: 0.8;}
        /*内容主体*/
        .add-music-list{
            width: 100%;
            border:1px solid #e7e7eb;
        }
        .add-music-head{
            height: 30px;
            font-size: 0;
            line-height: 30px;
            text-align: center;
            color: #738299;
            background: #f5f5f5;
            border-bottom: 1px solid #e7e7eb;
        }
        .add-music-head li{
            display: inline-block;
            vertical-align: middle;
            font-size: 14px;
        }
        .add-li1{width: 30%;padding-left: 10px; overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
        .add-li2{width: 30%;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
        .add-li3{width: 20%;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
        .add-li4{width: 20%;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;}
        .add-music-body ul{
            height: 36px;
            line-height: 36px;
            text-align: center;
            font-size: 0;
        }
        .add-music-body ul li{display: inline-block;vertical-align: middle;font-size: 14px;height: 36px; line-height: 36px;
            color: #424f65;}
        .add-li3 span{display: inline-block;width: 20px; font-size: 20px;line-height: 36px;color: #738299;cursor: pointer;}
        .add-li3 span.img1{display: none;vertical-align: middle;}
        .add-li3 span:hover{opacity: 0.8;}
        .add-li4 span{display: inline-block;width: 50px;color: #fff; line-height: 24px;text-align: center;border-radius: 3px;cursor: pointer;}
        .add-li4 span:hover{opacity: 0.8;}
        .add-li4 .span1{background: #3aa1ff;}
        .add-music-none{
            height: 396px;
            line-height: 286px;
            text-align: center;
            font-size: 16px;
            color: #738299;
        }
    </style>
</head>

<body>
<div class="add-music">
    <div class="add-music-tit">
        <input type="text" value="" placeholder="请输入音乐名称">
        <span class="search-music"><i class="fa fa-search" aria-hidden="true"></i> </span>
    </div>
    <div class="add-music-list">
        <div class="add-music-head">
            <ul>
                <li class="add-li1">歌曲</li>
                <li class="add-li2">歌手</li>
                <li class="add-li3">试听</li>
                <li class="add-li4">操作</li>
            </ul>
        </div>
        <div class="add-music-body" style="display: none;">

        </div>
        <div class="add-music-none" style="display: block;">
            <p>无搜索结果</p>
        </div>
    </div>
</div>

<script src="/static/js/jquery_v3.3.1.js"></script>
<script src="/static/js/layer/layer.js"></script>
<script src="/static/js/layui/layui.js"></script>

<script type="text/javascript">
    // 页面加载完毕时，搜索框获取焦点
    $(document).ready(function(){
        $('.add-music-tit input').focus();
    });

    $(document).on('click','.search-music',function () {
        var val = $.trim($(this).prev().val());
        if(val == ''){
            layer.msg('请输入要搜索的音乐');return false;
        }
        if($('.add-music-none').html() == '搜索中，请耐心等待...'){
            return false;
        }
        $('.add-music-none').html('搜索中，请耐心等待...');
        $('.add-music-none').show();
        $('.add-music-body').hide();

        setTimeout(function(){
            // 请求后台
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: "/admin/activity/musicAction",
                async: false,
                data: {"keyword":val},
                success:function(msg){   //function1()
                    console.log(msg);
                    if(msg.code == 1){
                        var str = '';
                        $.each(msg.data,function (index,json) {
                            str += '<ul>\n' +
                                '                <li class="add-li1">'+json.title+'</li>\n' +
                                '                <li class="add-li2">'+json.author+'</li>\n' +
                                '                <li class="add-li3">\n' +
                                '                    <audio src="'+json.url+'" class="player"></audio>'+
                                '                    <span class="icon"><i class="fa fa-play-circle-o" aria-hidden="true"></i></span>\n' +
                                '                    <span class="img1" style="display: none"><img src="/static/admin/images/music_audio.gif" alt=""></span>\n' +
                                '                </li>\n' +
                                '                <li class="add-li4"><span class="span1" data-mid="'+json.music_id+'" data-musictime="'+json.music_time+'">插入</span></li>\n' +
                                '            </ul>';
                        });
                        if(str != ''){
                            $('.add-music-body').html(str);
                            $('.add-music-body').show();
                            $('.add-music-none').hide();
                            $('.add-music-none').html('无搜索结果');
                        }
                    }else{
                        layer.msg('暂无结果');
                        $('.add-music-none').html('无搜索结果');
                    }
                }
            });
        },100);

    });
    // '                    <audio src="'+json.url+'" class="player"></audio>'+
    // 回车
    $('.add-music-tit input').keydown(function (event) {
        if (event.keyCode == 13) {
            $('.search-music').trigger('click');
        }
    });

    // 点击播放效果时，显示试听按钮
    $(document).on('click','.add-li3',function(){
        var _this = $(this);
        var span1 = _this.find('span').eq(0).css('display');
        var player = $(this).find('audio')[0]; //jquery对象转换成js对象
        if(span1 == 'inline-block'){ // 播放
            $('.icon').css('display','');
            $('.img1').css('display','none');
            // 所以都暂停播放
            $('.player').each(function (index) {
                $(this)[0].pause();// 暂停播放
            });
            _this.find('span').eq(0).css('display','none');
            _this.find('span').eq(1).css('display','inline');
            player.play(); // 开始播放
            playMusic($(this));// 播放完毕
        }else{ // 暂停
            ispayly = false;
            _this.find('span').eq(0).css('display','');
            _this.find('span').eq(1).css('display','none');
            player.pause();// 暂停
        }
    });
    // js判断是否播放完毕
    function playMusic(clas) {
        var audio = clas.find('audio')[0];
        audio.loop = false;
        audio.addEventListener('ended', function () {
            clas.find('span').eq(0).css('display','');
            clas.find('span').eq(1).css('display','none');
        }, false);
    }
    // 插入操作
    $(document).on('click','.span1',function () {
        var _this = $(this),
        music_id = _this.attr('data-mid'),
        music_time = _this.attr('data-musictime'),
        obj = parent.$("input[name=dress_bg_voice]"),
        title = _this.parents('li').siblings('.add-li1').text(),
        url = _this.parents('li').siblings('.add-li3').find('audio').attr('src');
        obj.attr('data-type','2');
        obj.attr('data-music',music_id);
        obj.attr('data-mtime',music_time);
        obj.attr('data-musictype',2);
        obj.val(title);
        obj.next().attr('src',url);
        layer.msg('插入成功');
    });
</script>
</body>

</html>