<?php /*a:1:{s:55:"J:\WWW\vote\application\admin\view\activity\domain.html";i:1559554914;}*/ ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>钻石投票_域名设置</title>

    <link rel="stylesheet" href="/static/css/font-awesome.css"/>
    <link rel="stylesheet" href="/static/admin/css/bass.css?v=1x"/>
    <link rel="stylesheet" href="/static/admin/css/public.css?v=1"/>
    <link rel="stylesheet" href="/static/admin/css/domain_active.css">
    <link rel="stylesheet" href="/static/admin/css/layui-add.css">

</head>
<body>

<div class="domain-set">

    <div class="domain-main">
        <p class="bread-crumbs-nav gift-ss">
            <?php if($smenu_id == 10): ?>
            <span class="span1 span3" data-type="1">全部活动</span>
            <?php elseif($smenu_id == 11): ?>
            <span class="span1 span3" data-type="2">今日开始</span>
            <?php elseif($smenu_id == 12): ?>
            <span class="span1 span3" data-type="3">今日结束</span>
            <?php elseif($smenu_id == 13): ?>
            <span class="span1 span3" data-type="4">即将结束</span>
            <?php elseif($smenu_id == 14): ?>
            <span class="span1 span3" data-type="5">星标监控</span>
            <?php endif; ?>
            <i class="fa fa-caret-right"></i><span class="span2">域名设置</span>
        </p>
        <p class="act-name-this">【<?php echo isset($title) ? htmlentities($title) : ''; ?>】</p>

        <div class="domain-list">
            <p class="domain-list-tit1">泛解析多域名：</p>
            <input type="text" name="parsing_domain" value="<?php echo isset($parsing_domain) ? htmlentities($parsing_domain) : ''; ?>" onkeyup="javascript:this.value=this.value.replace(/，/ig,',');">
        </div>

        <div class="domain-list">
            <p class="domain-list-tit1">欢迎页域名设置：</p>
            <input type="text" name="welcome_domain" value="<?php echo isset($welcome_domain) ? htmlentities($welcome_domain) : ''; ?>">
        </div>

        <div class="domain-list">
            <p class="domain-list-tit2">永久二维码域名设置：</p>
            <input type="text" name="code_domain" value="<?php echo isset($code_domain) ? htmlentities($code_domain) : ''; ?>">
        </div>

        <div class="domain-look lcg-btn5">查看永久二维码</div>
        <div class="domain-btn">
            <div class="domain-sure">保存</div>
            <!--<div class="domain-cancel">取消</div>-->
        </div>
        <div class="domain-footer">
            <p class="domain-list-tit2">说明：</p>
            <div class="domain-msg">
                <p class="domain-p1">泛解析多域名：</p>
                <p>1、泛解析多域名需要提前购买，以免急用时来不及</p>
                <p>2、一个活动可以设置多个泛域名，多个活动也可以共用一个泛域名，理论上说一个活动配置多个域名更加的安全</p>
                <p>3、泛解析域名设置后，用户每次访问随机分配一个子域名，比如：设置泛域名为qq.com ，随机域名会变为：xxx.qq.com</p>
                <p>4、设置多域名随机跳转后分享自定义图标和描述将不能使用，除非绑定多域名的js接口</p>
                <p>5、随机域名作用：尽量减少主域名暴露，每位用户访问的域名都不一样，被举报时，官方收到的域名不一样，减少被封的可能，被封时，一般也是封泛域名，保障主域名的安全。</p>
                <p class="domain-p1 domain-p2">欢迎页域名设置：</p>
                <p>1、欢迎页为打开活动时首先看到的第一个页面</p>
                <p>2、欢迎页域名不要与泛域名，活动域名重复</p>
                <p>3、欢迎页域名为选填项，不填则与活动域名相同</p>
                <p>4、欢迎页功能具有美观作用，同时还具有流量缓冲作用</p>
                <p class="domain-p1 domain-p2">永久二维码域名：</p>
                <p>1、单独使用一个主域名做泛解析到服务器上并绑定本系统目录,每个活动就会生成此活动的永久二维码</p>
                <p>2、保存每个活动永久二维码后，如果活动的域名被封，选手通过扫永久二维码就会自动跳转到活动的新域名上，不用再重新分享链接，以便选手正常参与活动</p>
                <p>3、如添加泛解析域名 *.qq.com，这里设置可以 aaa.qq.com，每个活动设置的永久二维码域名要唯一，无需加http://</p>
                <p>4、不同活动的永久二维码域名可以共用一个顶级域名的子域名，如可以设置为aaa.qq.com，bbb.qq.com，ccc.qq.com等</p>
            </div>
        </div>
    </div>
</div>
<input type="hidden" name="activity_id" value="<?php echo htmlentities($activity_id); ?>">
<input type="hidden" name="imgurl" value="<?php echo isset($code_domain_url) ? htmlentities($code_domain_url) : ''; ?>">

<script src="/static/js/jquery_v3.3.1.js"></script>
<script src="/static/js/layer/layer.js"></script>
<script src="/static/js/layui/layui.js"></script>

<script type="text/javascript">
    //点击保存弹出保存弹窗
    $('.domain-sure').on('click',function(){
        var parsing_domain = $.trim($('input[name="parsing_domain"]').val());
        var welcome_domain = $.trim($('input[name="welcome_domain"]').val());
        var code_domain = $.trim($('input[name="code_domain"]').val());
        var activity_id = $.trim($('input[name="activity_id"]').val());
        parsing_domain = trims(parsing_domain);
        var arr = parsing_domain.split(',');
        var new_arr = [];
        $.each(arr, function(index, json){
            new_arr.push(json);
        });
        var tag = /(http|ftp|https):\/\/[\w\-_]+(\.[\w\-_]+)+([\w\-\.,@?^=%&:/~\+#]*[\w\-\@?^=%&/~\+#])?/;
        parsing_domain = new_arr.join(",");
        if(welcome_domain != ''){
            welcome_domain = isUrl(welcome_domain);
            if(!tag.test(welcome_domain)){
                layer.msg("网址格式不正确！请重新输入");
                return false;
            }
        }
        if(code_domain != ''){
            code_domain = isUrl(code_domain);
            // 正则验证url是否是合格
            if(!tag.test(code_domain)){
                layer.msg("网址格式不正确！请重新输入");
                return false;
            }
        }
        var _data = {
            parsing_domain : parsing_domain,
            welcome_domain : welcome_domain,
            code_domain : code_domain,
            activity_id : activity_id,
        };
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: "/admin/Activity/domain",
            async: false,
            data: _data,
            success:function(msg){   //function1()
                layer.msg(msg.msg);
                if(msg.code == 1){
                    $('input[name="imgurl"]').val(msg.data);
                }
            }
        });
    });
    function trims(str){
        return str.replace(/[ ]/g,"");  //去除字符算中的空格
    }
    function isUrl(url) {
        url = $.trim(url);
        if(url.substr(0,7).toLowerCase() == "http://" || url.substr(0,8).toLowerCase() == "https://"){
            url = url;
        }else {
            url = "http://" + url;
        }
        return url;
    }
    //点击查看永久二维码弹出弹窗
    $(document).on("click",".domain-look",function(){
        var imgurl =  $('input[name="imgurl"]').val();
        var zhi = $('input[name="code_domain"]').val();
        if($.trim(imgurl) == '' && $.trim(zhi) == ''){
            layer.msg('请输入永久域名');return false;
        }
        if($.trim(imgurl) == '' && $.trim(zhi) != ''){
            var activity_id = $('input[name="activity_id"]').val();
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: "/admin/activity/domain",
                async: false,
                data: {"activity_id":activity_id,'type':1,'code_domain':zhi},
                success:function(msg){
                    imgurl = msg;
                }
            });
        }
        layer.open({
            title: ['此活动永久二维码 点击右键保存', 'font-size:14px;text-align:center;color:#424f65;'],
            type:1,
            skin: 'layui-layer-new',
            area: ['420px','270px'],
            move: false,
            closeBtn:2,
            shade: 0.6,
            shadeClose:true,
            // btn: ['确定创建','取消'],
            content:
            '<div class="domain-img">'+
            '<img src="'+imgurl+'" alt="">'+
            '</div>',
            scrollbar: false,
        });
    });
    $('.gift-ss span').click(function () {
        var _this = $(this);
        var type = _this.attr('data-type');
        if(type == 1){
            parent.location.href = "/admin/index/common?u=activity/listtpl?menu_id=10";
        }
        if(type == 2){
            parent.location.href = "/admin/index/common?u=activity/listtpl?left_type=2&menu_id=11";
        }
        if(type == 3){
            parent.location.href = "/admin/index/common?u=activity/listtpl?left_type=3&menu_id=12";
        }
        if(type == 4){
            parent.location.href = "/admin/index/common?u=activity/listtpl?left_type=4&menu_id=13";
        }
        if(type == 5){
            parent.location.href = "/admin/index/common?u=activity/listtpl?left_type=5&menu_id=14";
        }
    });
</script>

</body>
</html>